%global _empty_manifest_terminate_build 0
Name:           python-typing-extensions
Version:        3.10.0.0
Release:        1
Summary:        Backported and Experimental Type Hints for Python 3.5+
License:        PSF
URL:            https://github.com/python/typing/blob/master/typing_extensions/README.rst
Source0:        https://files.pythonhosted.org/packages/aa/55/62e2d4934c282a60b4243a950c9dbfa01ae7cac0e8d6c0b5315b87432c81/typing_extensions-3.10.0.0.tar.gz
BuildArch:      noarch
%description
Typing Extensions - Backported and Experimental Type Hints for Python.
The typing module was added to the standard library in Python 3.5, but many new features have been added to the module since then.
This means users of Python 3.5 - 3.6 who are unable to upgrade will not be able to take advantage of new types added to the typing
module, such as typing.Protocol or typing.TypedDict.
The typing_extensions module contains backports of these changes. Experimental types that will eventually be added to the typing
module are also included in typing_extensions, such as typing.ParamSpec and typing.TypeGuard.

%package -n python3-typing-extensions
Summary:        Backported and Experimental Type Hints for Python 3.5+
Provides:       python-typing-extensions
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-typing-extensions
Typing Extensions -Backported and Experimental Type Hints for Python.

%package help
Summary:        Backported and Experimental Type Hints for Python 3.5+
Provides:       python3-typing-extensions-doc
%description help
Typing Extensions -Backported and Experimental Type Hints for Python.

%prep
%autosetup -n typing_extensions-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} src_py3/test_typing_extensions.py

%files -n python3-typing-extensions -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Aug 26 2021 orange-snn <songnannan2@huaiwe.com> - 3.10.0.0-1
- update to 3.10.0.0

* Tue Aug 03 2021 OpenStack_SIG <openstack@openeuler.org> - 3.7.4.3-1
- Package Spec generate
